// You can import API functions like this from D3.js.
import { select, arc } from 'd3';

const svg = select("svg");

const height = +svg.attr("height");
const width = +svg.attr("width");
const eyeSpacing = 100;
const eyeYOffset = 70;
const eyeRadius = 40;

const g = svg.append("g")
	.attr("transform", `translate(${width / 2}, ${height / 2})`);

const eyesG = g.append("circle")
	.attr("transform", `translate(0, ${eyeYOffset})`);

const circle = g.append("circle")
  .attr("r", height / 2)
	.attr("fill", "yellow")
	.attr("stroke", "black");

const leftEye = eyesG.append("circle")
  .attr("r", eyeRadius)
  .attr("cx", - eyeSpacing)

const RightEye = eyesG.append("circle")
  .attr("r", eyeRadius)
  .attr("cx", + eyeSpacing)

const mouth = g.append("path")
	.attr("d", arc()({
    innerRadius: 150,
    outerRadius: 170,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 3 / 2
  }));